A package of Syncfusion Blazor Components.

## List of Components:
* [Button Group](https://www.syncfusion.com/blazor-components/blazor-splitbutton-group?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)
* [Dropdown Menu](https://www.syncfusion.com/blazor-components/blazor-drop-down-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)
* [Split Button](https://www.syncfusion.com/blazor-components/blazor-split-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)
* [Progress Button](https://www.syncfusion.com/blazor-components/blazor-progress-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

## [Button Group](https://www.syncfusion.com/blazor-components/blazor-button-group?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

The Blazor Button Group component is a container that groups a series of buttons on a single line.

### Key features

  * [Sizes](https://blazor.syncfusion.com/documentation/button-group/types-and-styles/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#buttongroup-size) - Provided different sizes of Button Group.
  * [Selection](https://blazor.syncfusion.com/documentation/button-group/selection-and-nesting/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#single-selection) - Supports single and multiple selection behaviors.
  * [Nesting](https://blazor.syncfusion.com/documentation/button-group/selection-and-nesting/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#nesting) - Supports nesting with drop-down and split button components.

## [Dropdown Menu](https://www.syncfusion.com/blazor-components/blazor-drop-down-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget-nuget)

The Blazor Dropdown Menu component is used to toggle contextual overlays for displaying list of action items.

### Key features

  * [Navigations](https://blazor.syncfusion.com/documentation/drop-down-menu/popup-items/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#navigations) - URL can be given to Popup items  that creates the anchor link to navigate to the URL provided.
  * [Icons](https://blazor.syncfusion.com/documentation/drop-down-menu/popup-items/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#icons) - Supports text and icon on the Dropdown Menu and Popup items. 
  * [Separator](https://blazor.syncfusion.com/documentation/drop-down-menu/popup-items/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#separator) - Supports Popup items grouping by using the Separator.

## [Split Button](https://www.syncfusion.com/blazor-components/blazor-split-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

The Blazor Split Button component has primary and secondary button. Primary button is used to select default action and secondary button is used to toggle contextual overlays for displaying list of action items.

### Key features

  * [Icons](https://blazor.syncfusion.com/documentation/split-button/icons/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#split-button-icons) - Supports text and icon on the Split Button and Popup items.
  * [Separator](https://blazor.syncfusion.com/documentation/split-button/icons/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#separator) - Supports Popup items grouping by using the Separator.
  
## [Progress Button](https://www.syncfusion.com/blazor-components/blazor-progress-button?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

The Blazor Progress Button component visualizes the progression of an operation to indicate the user that a process is happening in the background with visual representation.

### Key features

  *	[Icons](https://blazor.syncfusion.com/documentation/progress-button/types-icons/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#icons) - Supports text and icon on the Progress Button.
  * [Progress](https://blazor.syncfusion.com/documentation/progress-button/spinner-and-progress/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#progress) - Supports progressing option in Progress Button.
  * [Spinner](https://blazor.syncfusion.com/documentation/progress-button/spinner-and-progress/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget#spinner) - Supports spinner option in Progress Button.

## Related links

[Learn More about Blazor UI components](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.51/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)

## About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20SplitButtons%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-split-buttons-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.